<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWindowsForms>true</UseWindowsForms>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Compile Update="ClipartIcons.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>ClipartIcons.resx</DependentUpon>
    </Compile>
    <Compile Update="ControlBar.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>ControlBar.resx</DependentUpon>
    </Compile>
    <Compile Update="Cursors.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Cursors.resx</DependentUpon>
    </Compile>
    <Compile Update="IconSet16.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IconSet16.resx</DependentUpon>
    </Compile>
    <Compile Update="IconSet32.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IconSet32.resx</DependentUpon>
    </Compile>
    <Compile Update="IconSet48.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IconSet48.resx</DependentUpon>
    </Compile>
    <Compile Update="Outline.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Outline.resx</DependentUpon>
    </Compile>
    <Compile Update="ToolbarWindows95.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>ToolbarWindows95.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="ClipartIcons.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>ClipartIcons.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="ControlBar.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>ControlBar.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Cursors.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Cursors.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="IconSet16.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>IconSet16.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="IconSet32.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>IconSet32.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="IconSet48.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>IconSet48.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Outline.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Outline.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="ToolbarWindows95.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>ToolbarWindows95.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>
